//
//  SLIBDebugTableView.m
//  PeekIt II
//
//  Created by C.K. Haun on 1/2/13.
//  Copyright (c) 2013 Ravenware Industries LLC. All rights reserved.
//
#ifndef __FORIPHONE__

#import "SLIBDebugTableView.h"

@implementation SLIBDebugTableView
-(void)awakeFromNib{
    [self setDataSource:self];

    theItems = [[NSMutableArray alloc]init];
}
- (void)keyDown:(NSEvent*)event {
    UShort theKey = [event keyCode]
    ;

    if(theKey== 51 && [theItems count]){
        [theItems removeObjectAtIndex:[self selectedRow]];
        [self reloadData];
    }
}
- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

-(void)addItem:(SLIBDebugItem *)theItem{
    [theItems addObject:theItem];
    [self reloadData];
    //    [self selectRowIndexes:[NSIndexSet indexSetWithIndex:[theItems count]-1] byExtendingSelection:NO];
    [self scrollRowToVisible:[theItems count]-1];
}
-(void)clear{
    [theItems removeAllObjects];
    [self reloadData];
}
-(BOOL)anyItems{
    BOOL hhh = NO;
    if([theItems count])hhh=YES;
    return hhh;
}

- (NSInteger)numberOfRowsInTableView:(NSTableView *)tableView{
    NSInteger retVal = [theItems count];
    return retVal;
}
- (id)tableView:(NSTableView *)tableView objectValueForTableColumn:(NSTableColumn *)tableColumn row:(NSInteger)row{
    if([[tableColumn identifier] isEqualToString:@"Top"]){
        SLIBDebugItem *theItem = [theItems objectAtIndex:row];
       return( [theItem nameStringFromItem]);
    } else {
        SLIBDebugItem *theItem = [theItems objectAtIndex:row];
        return( [theItem valueStringFromItem]);

          }
    }

- (void)tableViewSelectionDidChange:(NSNotification *)notification{
    
    
    
}


@end
#endif